Page 1 of 2

Unable to Install KDE on LMDE

Posted: Wed Apr 25, 2012 9:44 pm
by Hypersphere
I have installed LMDE 201204 (Mate/Cinnamon). I am trying to install KDE, but I keep getting error messages about unmet dependencies. For example, "Depends: kde-plasma-desktop but it is not going to be installed." I tried reinstalling LMDE, but I got the same result when I tried to install KDE. Here is my sources.list:
deb http://packages.linuxmint.com/ debian main upstream import
deb http://debian.linuxmint.com/latest testing main contrib non-free
deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://debian.linuxmint.com/latest/multimedia testing main non-free

deb http://packages.linuxmint.com/ debian main upstream import
deb-src http://packages.linuxmint.com/ debian main upstream import

Do I have incorrect sources? Any help would be appreciated. Thank you.

Re: Unable to Install KDE on LMDE

Posted: Thu Apr 26, 2012 11:51 am
by rpeake
I have the same problem. MATE and CINNAMON now run faster than in the release candidate but I expect KDE would run fastest of the 3.
If only I could install it :(

Re: Unable to Install KDE on LMDE

Posted: Thu Apr 26, 2012 12:03 pm
by Hypersphere
I should add that I previously installed KDE on LMDE-Xfce with no major issues. However, the system will not permit installing KDE on LMDE-Mate/Cinnamon because of unresolved dependencies.

Re: Unable to Install KDE on LMDE

Posted: Thu Apr 26, 2012 12:07 pm
by Hypersphere
rpeake wrote:I have the same problem. MATE and CINNAMON now run faster than in the release candidate but I expect KDE would run fastest of the 3.
If only I could install it :(
Of these 3 desktop environments, based on system resource requirements, I would expect KDE to run the slowest. If you add Xfce to the mix, I would expect Xfce to run the fastest. Without running benchmark tests and going only on visual impressions, I find that LMDE-Xfce appears to be the fastest and most responsive of the lot.

Re: Unable to Install KDE on LMDE

Posted: Thu Apr 26, 2012 12:11 pm
by zerozero
how are you trying to install kde?try the meta-pkgs kde-standard (for a minimal kde desktop) or kde-full (for everything and the kitchen sink :lol: )

Re: Unable to Install KDE on LMDE

Posted: Thu Apr 26, 2012 2:02 pm
by Hypersphere
zerozero wrote:how are you trying to install kde?try the meta-pkgs kde-standard (for a minimal kde desktop) or kde-full (for everything and the kitchen sink :lol: )
Thank you. This is how I installed KDE on LMDE-Xfce. Problems arose in my case when I tried to install KDE on LMDE-Mate/Cinnamon.

Re: Unable to Install KDE on LMDE

Posted: Thu Apr 26, 2012 2:25 pm
by craigevil
Try doing

Code: Select all

apt-get install kde-plasma-desktop
This will give you a minimal KDE. KDE might also be broken in Debian Testing, fun things like that are why I run unstable.
Testing has a bad habit of removing packages. virtuoso-minimal is one such package that is needed by KDE that has been removed from Testing, who knows will it will be put back in.

If the above command doesn't work I would suggest adding unstable to your sources.list installing KDE then commenting it.

If you disable the 'evil trio' nepomuk/strigi, akonadi, desktop-effects, KDE is no heavier or slower than XFCE.
Heck it flies on this ancient Thinkpad R40

Code: Select all

CPU~Single core Intel Pentium M (-UP-) clocked at 600.000 Mhz Kernel~3.3.0-trunk-486 i686 Up~23:33 Mem~656.2/2025.7MB HDD~17.2GB(81.3% used) Procs~110 Client~Shell inxi~1.7.33 
The above is in KDE with juk, Yakuake, Firefox 6 tabs (which has been open over 12 hours now), jitsi(connected to Gtalk, Yahoo, Facebook), wicd, klipper, kmix, vidalia/tor/arm, and (Chrome and konqueror in background/preloaded), along with fun things like dnscrypt, snort, clamd, exim4, psad, ufw. As you can see a lot of crap running and and out of the ram being used 180MB of it is Firefox.

Re: Unable to Install KDE on LMDE

Posted: Thu Apr 26, 2012 2:45 pm
by tdockery97
I think the real culprit causing your unmet dependencies are the LMDE latest repositories. By using those repositories you are ensuring a more stable system, but you also do no have access to the most recent changes, including newer dependencies, in Debian Testing.

My suggestion would be to back up your system (using Clonezilla or something similar), change your repositories to point directly at Debian Testing, then perform your installation of either kde-standard or kde-full. Once you have completed this operation and verified that your system is stable, change your repositories back to LMDE's latest repositories.

Re: Unable to Install KDE on LMDE

Posted: Thu Apr 26, 2012 3:34 pm
by zerozero
tdockery97 wrote:I think the real culprit causing your unmet dependencies are the LMDE latest repositories.
it could happen :lol: but not this time

Code: Select all

amadeu@zerozero:~$ inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://packages.linuxmint.com/ debian main upstream import
           deb http://debian.linuxmint.com/latest testing main contrib non-free
           deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
           deb http://debian.linuxmint.com/latest/multimedia testing main non-free

Code: Select all

amadeu@zerozero:~$ sudo apt-get -s install kde-full
[sudo] password for amadeu: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libv8-3.6.6.14 libglew1.6
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  advancecomp akonadi-backend-mysql akonadi-server akonadiconsole akregator
  amor anacron ark avogadro-data blinken blogilo bomber bovo cantor
  cantor-backend-kalgebra cervisia cvs cvsservice dirmngr docbook-xsl dolphin
  dragonplayer edict ffmpegthumbs filelight fonts-dustin freespacenotifier gdb
  gdbserver gnugo gnupg-agent gnupg2 google-gadgets-common google-gadgets-gst
  google-gadgets-qt gpgsm gpsd granatier graphviz gwenview htdig jovie juk
  kaccessible kaddressbook kajongg kalarm kalgebra kalgebra-common kalzium
  kalzium-data kamera kanagram kanjidic kapman kapptemplate kate kate-data
  katepart katomic kbattleship kblackbox kblocks kbounce kbreakout kbruch
  kcachegrind kcalc kcharselect kcolorchooser kde-baseapps kde-baseapps-bin
  kde-baseapps-data kde-config-cddb kde-config-cron kde-icons-mono
  kde-plasma-desktop kde-plasma-netbook kde-runtime kde-runtime-data
  kde-standard kde-style-oxygen kde-wallpapers kde-wallpapers-default
  kde-window-manager kde-workspace kde-workspace-bin kde-workspace-data
  kde-workspace-kgreet-plugins kdeaccessibility kdeadmin kdeartwork
  kdeartwork-emoticons kdeartwork-style kdeartwork-theme-window
  kdebase-runtime kdeedu kdeedu-kvtml-data kdegames kdegames-card-data
  kdegames-mahjongg-data kdegraphics kdegraphics-mobipocket
  kdegraphics-strigi-analyzer kdegraphics-thumbnailers kdelibs-bin
  kdelibs5-data kdelibs5-plugins kdemultimedia kdemultimedia-kio-plugins
  kdenetwork kdenetwork-filesharing kdepasswd kdepim kdepim-groupware
  kdepim-kresources kdepim-runtime kdepim-strigi-plugins kdepim-wizards
  kdepimlibs-kio-plugins kdeplasma-addons kdesdk kdesdk-dolphin-plugins
  kdesdk-kio-plugins kdesdk-misc kdesdk-scripts kdesdk-strigi-plugins kdetoys
  kdeutils kdewallpapers kdewebdev kdf kdiamond kdm kdoctools kfilereplace
  kfind kfourinline kgamma kgeography kgeography-data kget kgoldrunner kgpg
  khangman khelpcenter4 kig kigo killbots kimagemapeditor kinfocenter kiriki
  kiten kjots kjumpingcube kleopatra klettres klettres-data klickety klines
  klinkstatus klipper kmag kmahjongg kmail kmenuedit kmines kmix kmousetool
  kmouth kmplot kmtrace knetwalk knode knotes kolf kollision kolourpaint4
  kommander kompare konq-plugins konqueror konqueror-nsplugins konquest
  konsole konsolekalendar kontact kopete korganizer kpartloader kpat kppp krdc
  kremotecontrol kreversi krfb krosspython kruler ksaneplugin kscd
  kscreensaver kscreensaver-xsavers kshisen ksirk ksnapshot kspaceduel
  ksquares kstars kstars-data ksudoku ksysguard ksysguardd ksystemlog kteatime
  ktimer ktimetracker ktouch ktouch-data ktron ktuberling kturtle ktux kubrick
  kuiviewer kuser kwalletmanager kwordquiz kwrite libakonadi-contact4
  libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4
  libakonadiprotocolinternals1 libanalitza4 libanalitzagui4 libassuan0
  libattica0 libavogadro1 libboost-program-options1.48.0 libboost-python1.48.0
  libc6-dbg libcdt4 libcfitsio3 libcgraph5 libcln6 libclucene0ldbl
  libdbusmenu-qt2 libdlrestrictions1 libdmtx0a libdotconf1.0 libfame-0.9-1
  libftdi1 libggadget-1.0-0b libggadget-qt-1.0-0b libgle3 libgpgme++2 libgps20
  libgraph4 libgraphicsmagick3 libgvc5 libgvpr1 libindi-data libindi0a
  libiodbc2 libjpeg-progs libkabc4 libkastencontrollers4 libkastencore4
  libkastengui4 libkateinterfaces4 libkatepartinterfaces4 libkblog4 libkcal4
  libkcalcore4 libkcalutils4 libkcddb4 libkcmutils4 libkdcraw-data libkdcraw20
  libkde3support4 libkdeclarative5 libkdecorations4 libkdecore5 libkdeedu-data
  libkdegames5a libkdepim4 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4
  libkeduvocdocument4 libkemoticons4 libkephal4abi1 libkexiv2-10
  libkexiv2-data libkfile4 libkggzgames4 libkggzmod4 libkggznet4 libkholidays4
  libkhtml5 libkidletime4 libkimap4 libkimproxy4 libkio5 libkipi-data libkipi8
  libkiten4 libkjsapi4 libkjsembed4 libkldap4 libkleo4 libkmahjongglib4
  libkmediaplayer4 libkmime4 libknewstuff2-4 libknewstuff3-4 libknotifyconfig4
  libkntlm4 libkonq-common libkonq5-templates libkonq5abi1
  libkonqsidebarplugin4a libkontactinterface4 libkopete4 libkparts4 libkpgp4
  libkpimidentities4 libkpimtextedit4 libkpimutils4 libkprintutils4 libkpty4
  libkresources4 libkrosscore4 libkrossui4 libksane-data libksane0 libksba8
  libkscreensaver5 libksgrd4 libksieve4 libksignalplotter4 libktexteditor4
  libktnef4 libktorrent4 libkunitconversion4 libkutils4 libkwineffects1abi2
  libkworkspace4 libkxmlrpcclient4 libmailtransport4 libmarblewidget12
  libmediastreamer1 libmessagecore4 libmessagelist4 libmicroblog4 libmimelib4
  libmsn0.3 libmysqlclient16 libnepomuk4 libnepomukquery4a libnepomukutils4
  libnetpbm10 libnova-0.12-1 libntrack-qt4-1 libntrack0 liboktetacore4
  liboktetagui4 liboktetakastencontrollers4abi1 liboktetakastencore4
  liboktetakastengui4 libokularcore1 libopenbabel4 libortp8 libotr2
  libpathplan4 libphonon4 libpkcs11-helper1 libplasma-geolocation-interface4
  libplasma3 libplasmaclock4abi2 libplasmagenericshell4 libpolkit-qt-1-1
  libpoppler-qt4-3 libprison0 libprocesscore4abi1 libprocessui4a libqalculate5
  libqca2 libqca2-plugin-ossl libqgpgme1 libqhull5 libqimageblitz4
  libqrencode3 libqt4-declarative libqt4-designer libqt4-help libqt4-opengl
  libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql
  libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-test libqt4-xmlpatterns
  libqtassistantclient4 libqtlocation1 libqtruby4shared2 libqtwebkit4
  libqzeitgeist0 libscim8c2a libsmokebase3 libsmokekdecore4-3 libsmokekdeui4-3
  libsmokekfile3 libsmokekhtml3 libsmokekio3 libsmokeknewstuff2-3
  libsmokeknewstuff3-3 libsmokekparts3 libsmokektexteditor3 libsmokekutils3
  libsmokenepomuk3 libsmokeplasma3 libsmokeqtcore4-3 libsmokeqtdbus4-3
  libsmokeqtgui4-3 libsmokeqtnetwork4-3 libsmokeqtopengl4-3 libsmokeqtsql4-3
  libsmokeqtsvg4-3 libsmokeqtwebkit4-3 libsmokeqtxml4-3 libsmokesolid3
  libsolid4 libsolidcontrol4abi2 libsolidcontrolifaces4abi2 libsoprano4
  libspeechd2 libsrtp0 libssh-4 libstreamanalyzer0 libstreams0 libsyndication4
  libtaskmanager4abi2 libthreadweaver4 libtidy-0.99-0 libutempter0
  libvirtodbc0 libvncserver0 libweather-ion6 libxdot4 libxine1 libxine1-bin
  libxine1-ffmpeg libxine1-misc-plugins libxine1-plugins libxine1-x lirc
  lmodern lockfile-progs lokalize lskat luatex marble marble-data
  marble-plugins mysql-common mysql-server-core-5.1 netpbm
  network-manager-openvpn network-manager-vpnc ntrack-module-libnl-0 okteta
  okular openvpn optipng oxygen-icon-theme oxygencursors palapeli
  palapeli-data parley parley-data phonon phonon-backend-vlc pinentry-gtk2
  plasma-containments-addons plasma-dataengines-addons
  plasma-dataengines-workspace plasma-desktop plasma-desktopthemes-artwork
  plasma-netbook plasma-runners-addons plasma-scriptengine-googlegadgets
  plasma-scriptengine-javascript plasma-scriptengine-python
  plasma-scriptengine-ruby plasma-scriptengine-superkaramba
  plasma-scriptengine-webkit plasma-scriptengines plasma-wallpapers-addons
  plasma-widget-folderview plasma-widget-lancelot
  plasma-widget-networkmanagement plasma-widgets-addons
  plasma-widgets-workspace polkit-kde-1 poxml python-aeidon python-avogadro
  python-dateutil python-enchant python-iniparse python-kde4
  python-levenshtein python-lxml python-qt4 python-qt4-dbus python-qt4-sql
  python-sip python-utidylib python-vobject qhull-bin rdesktop rocs ruby-kde4
  ruby-plasma ruby-qt4 ruby-qt4-webkit scdaemon shared-desktop-ontologies
  soprano-daemon speech-dispatcher step svgpart sweeper
  system-config-printer-kde systemsettings tex-common texlive-base
  texlive-binaries texlive-common texlive-doc-base texlive-latex-base
  texlive-latex-base-doc texlive-luatex translate-toolkit ttf-sjfonts umbrello
  update-notifier-common update-notifier-kde valgrind virtuoso-minimal
  virtuoso-opensource-6.1-bin virtuoso-opensource-6.1-common vorbis-tools vpnc
  xscreensaver-data xscreensaver-data-extra xscreensaver-gl
  xscreensaver-gl-extra xscreensaver-screensaver-bsod zip
Suggested packages:
  akonadi-backend-sqlite akonadi-backend-postgresql rar cantor-backend-maxima
  cantor-backend-r cantor-backend-sage cantor-backend-octave mksh rcs
  docbook-xsl-doc-html docbook-xsl-doc-pdf docbook-xsl-doc-text
  docbook-xsl-doc libsaxon-java libxslthl-java docbook-xsl-saxon fop xalan
  dbtoepub lookup xjdic sdic-edict gdb-doc quarry cgoban qgo gnupg-doc
  xloadimage gpsd-clients graphviz-doc htdig-doc wwwoffle httpd k3b
  kdelibs5-dev kcachegrind-converters kde-l10n koffice xorg djvulibre-bin
  icoutils finger skanlite lame egroupware perl-doc libqt4-dev inkscape xpaint
  dmalloc kdelibs5-doc qt4-doc devscripts kfloppy clamav f-prot-installer
  gnokii kscreensaver-xsavers-webcollage indi-bin xplanet qt4-designer pi
  graphicsmagick-dbg hspell libktorrent-l10n libotr2-bin
  libqca2-plugin-cyrus-sasl libqca2-plugin-gnupg
  libqt4-declarative-folderlistmodel libqt4-declarative-gestures
  libqt4-declarative-particles libqt4-declarative-shaders qt4-qmlviewer
  qtmobility-l10n srtp-utils libvncserver0-dbg gxine xine-ui libxine1-doc
  libxine-doc libxine1-gnome lirc-x setserial ir-keytable
  okular-extra-backends resolvconf phonon-backend-gstreamer
  phonon-backend-mplayer pinentry-doc plasma-scriptengine-kimono
  kdebase-workspace-bin python-wxgtk2.6 python-wxgtk2.8 python-lxml-dbg
  python-qt4-dbg geomview pcscd speech-dispatcher-festival
  speech-dispatcher-doc-cs libttspico-utils perl-tk translate-toolkit-dev-doc
  alleyoop valkyrie xscreensaver
Recommended packages:
  pinentry-qt4 pinentry-x11
The following NEW packages will be installed:
  advancecomp akonadi-backend-mysql akonadi-server akonadiconsole akregator
  amor anacron ark avogadro-data blinken blogilo bomber bovo cantor
  cantor-backend-kalgebra cervisia cvs cvsservice dirmngr docbook-xsl dolphin
  dragonplayer edict ffmpegthumbs filelight fonts-dustin freespacenotifier gdb
  gdbserver gnugo gnupg-agent gnupg2 google-gadgets-common google-gadgets-gst
  google-gadgets-qt gpgsm gpsd granatier graphviz gwenview htdig jovie juk
  kaccessible kaddressbook kajongg kalarm kalgebra kalgebra-common kalzium
  kalzium-data kamera kanagram kanjidic kapman kapptemplate kate kate-data
  katepart katomic kbattleship kblackbox kblocks kbounce kbreakout kbruch
  kcachegrind kcalc kcharselect kcolorchooser kde-baseapps kde-baseapps-bin
  kde-baseapps-data kde-config-cddb kde-config-cron kde-full kde-icons-mono
  kde-plasma-desktop kde-plasma-netbook kde-runtime kde-runtime-data
  kde-standard kde-style-oxygen kde-wallpapers kde-wallpapers-default
  kde-window-manager kde-workspace kde-workspace-bin kde-workspace-data
  kde-workspace-kgreet-plugins kdeaccessibility kdeadmin kdeartwork
  kdeartwork-emoticons kdeartwork-style kdeartwork-theme-window
  kdebase-runtime kdeedu kdeedu-kvtml-data kdegames kdegames-card-data
  kdegames-mahjongg-data kdegraphics kdegraphics-mobipocket
  kdegraphics-strigi-analyzer kdegraphics-thumbnailers kdelibs-bin
  kdelibs5-data kdelibs5-plugins kdemultimedia kdemultimedia-kio-plugins
  kdenetwork kdenetwork-filesharing kdepasswd kdepim kdepim-groupware
  kdepim-kresources kdepim-runtime kdepim-strigi-plugins kdepim-wizards
  kdepimlibs-kio-plugins kdeplasma-addons kdesdk kdesdk-dolphin-plugins
  kdesdk-kio-plugins kdesdk-misc kdesdk-scripts kdesdk-strigi-plugins kdetoys
  kdeutils kdewallpapers kdewebdev kdf kdiamond kdm kdoctools kfilereplace
  kfind kfourinline kgamma kgeography kgeography-data kget kgoldrunner kgpg
  khangman khelpcenter4 kig kigo killbots kimagemapeditor kinfocenter kiriki
  kiten kjots kjumpingcube kleopatra klettres klettres-data klickety klines
  klinkstatus klipper kmag kmahjongg kmail kmenuedit kmines kmix kmousetool
  kmouth kmplot kmtrace knetwalk knode knotes kolf kollision kolourpaint4
  kommander kompare konq-plugins konqueror konqueror-nsplugins konquest
  konsole konsolekalendar kontact kopete korganizer kpartloader kpat kppp krdc
  kremotecontrol kreversi krfb krosspython kruler ksaneplugin kscd
  kscreensaver kscreensaver-xsavers kshisen ksirk ksnapshot kspaceduel
  ksquares kstars kstars-data ksudoku ksysguard ksysguardd ksystemlog kteatime
  ktimer ktimetracker ktouch ktouch-data ktron ktuberling kturtle ktux kubrick
  kuiviewer kuser kwalletmanager kwordquiz kwrite libakonadi-contact4
  libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4
  libakonadiprotocolinternals1 libanalitza4 libanalitzagui4 libassuan0
  libattica0 libavogadro1 libboost-program-options1.48.0 libboost-python1.48.0
  libc6-dbg libcdt4 libcfitsio3 libcgraph5 libcln6 libclucene0ldbl
  libdbusmenu-qt2 libdlrestrictions1 libdmtx0a libdotconf1.0 libfame-0.9-1
  libftdi1 libggadget-1.0-0b libggadget-qt-1.0-0b libgle3 libgpgme++2 libgps20
  libgraph4 libgraphicsmagick3 libgvc5 libgvpr1 libindi-data libindi0a
  libiodbc2 libjpeg-progs libkabc4 libkastencontrollers4 libkastencore4
  libkastengui4 libkateinterfaces4 libkatepartinterfaces4 libkblog4 libkcal4
  libkcalcore4 libkcalutils4 libkcddb4 libkcmutils4 libkdcraw-data libkdcraw20
  libkde3support4 libkdeclarative5 libkdecorations4 libkdecore5 libkdeedu-data
  libkdegames5a libkdepim4 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4
  libkeduvocdocument4 libkemoticons4 libkephal4abi1 libkexiv2-10
  libkexiv2-data libkfile4 libkggzgames4 libkggzmod4 libkggznet4 libkholidays4
  libkhtml5 libkidletime4 libkimap4 libkimproxy4 libkio5 libkipi-data libkipi8
  libkiten4 libkjsapi4 libkjsembed4 libkldap4 libkleo4 libkmahjongglib4
  libkmediaplayer4 libkmime4 libknewstuff2-4 libknewstuff3-4 libknotifyconfig4
  libkntlm4 libkonq-common libkonq5-templates libkonq5abi1
  libkonqsidebarplugin4a libkontactinterface4 libkopete4 libkparts4 libkpgp4
  libkpimidentities4 libkpimtextedit4 libkpimutils4 libkprintutils4 libkpty4
  libkresources4 libkrosscore4 libkrossui4 libksane-data libksane0 libksba8
  libkscreensaver5 libksgrd4 libksieve4 libksignalplotter4 libktexteditor4
  libktnef4 libktorrent4 libkunitconversion4 libkutils4 libkwineffects1abi2
  libkworkspace4 libkxmlrpcclient4 libmailtransport4 libmarblewidget12
  libmediastreamer1 libmessagecore4 libmessagelist4 libmicroblog4 libmimelib4
  libmsn0.3 libmysqlclient16 libnepomuk4 libnepomukquery4a libnepomukutils4
  libnetpbm10 libnova-0.12-1 libntrack-qt4-1 libntrack0 liboktetacore4
  liboktetagui4 liboktetakastencontrollers4abi1 liboktetakastencore4
  liboktetakastengui4 libokularcore1 libopenbabel4 libortp8 libotr2
  libpathplan4 libphonon4 libpkcs11-helper1 libplasma-geolocation-interface4
  libplasma3 libplasmaclock4abi2 libplasmagenericshell4 libpolkit-qt-1-1
  libpoppler-qt4-3 libprison0 libprocesscore4abi1 libprocessui4a libqalculate5
  libqca2 libqca2-plugin-ossl libqgpgme1 libqhull5 libqimageblitz4
  libqrencode3 libqt4-declarative libqt4-designer libqt4-help libqt4-opengl
  libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql
  libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-test libqt4-xmlpatterns
  libqtassistantclient4 libqtlocation1 libqtruby4shared2 libqtwebkit4
  libqzeitgeist0 libscim8c2a libsmokebase3 libsmokekdecore4-3 libsmokekdeui4-3
  libsmokekfile3 libsmokekhtml3 libsmokekio3 libsmokeknewstuff2-3
  libsmokeknewstuff3-3 libsmokekparts3 libsmokektexteditor3 libsmokekutils3
  libsmokenepomuk3 libsmokeplasma3 libsmokeqtcore4-3 libsmokeqtdbus4-3
  libsmokeqtgui4-3 libsmokeqtnetwork4-3 libsmokeqtopengl4-3 libsmokeqtsql4-3
  libsmokeqtsvg4-3 libsmokeqtwebkit4-3 libsmokeqtxml4-3 libsmokesolid3
  libsolid4 libsolidcontrol4abi2 libsolidcontrolifaces4abi2 libsoprano4
  libspeechd2 libsrtp0 libssh-4 libstreamanalyzer0 libstreams0 libsyndication4
  libtaskmanager4abi2 libthreadweaver4 libtidy-0.99-0 libutempter0
  libvirtodbc0 libvncserver0 libweather-ion6 libxdot4 libxine1 libxine1-bin
  libxine1-ffmpeg libxine1-misc-plugins libxine1-plugins libxine1-x lirc
  lmodern lockfile-progs lokalize lskat luatex marble marble-data
  marble-plugins mysql-common mysql-server-core-5.1 netpbm
  network-manager-openvpn network-manager-vpnc ntrack-module-libnl-0 okteta
  okular openvpn optipng oxygen-icon-theme oxygencursors palapeli
  palapeli-data parley parley-data phonon phonon-backend-vlc pinentry-gtk2
  plasma-containments-addons plasma-dataengines-addons
  plasma-dataengines-workspace plasma-desktop plasma-desktopthemes-artwork
  plasma-netbook plasma-runners-addons plasma-scriptengine-googlegadgets
  plasma-scriptengine-javascript plasma-scriptengine-python
  plasma-scriptengine-ruby plasma-scriptengine-superkaramba
  plasma-scriptengine-webkit plasma-scriptengines plasma-wallpapers-addons
  plasma-widget-folderview plasma-widget-lancelot
  plasma-widget-networkmanagement plasma-widgets-addons
  plasma-widgets-workspace polkit-kde-1 poxml python-aeidon python-avogadro
  python-dateutil python-enchant python-iniparse python-kde4
  python-levenshtein python-lxml python-qt4 python-qt4-dbus python-qt4-sql
  python-sip python-utidylib python-vobject qhull-bin rdesktop rocs ruby-kde4
  ruby-plasma ruby-qt4 ruby-qt4-webkit scdaemon shared-desktop-ontologies
  soprano-daemon speech-dispatcher step svgpart sweeper
  system-config-printer-kde systemsettings tex-common texlive-base
  texlive-binaries texlive-common texlive-doc-base texlive-latex-base
  texlive-latex-base-doc texlive-luatex translate-toolkit ttf-sjfonts umbrello
  update-notifier-common update-notifier-kde valgrind virtuoso-minimal
  virtuoso-opensource-6.1-bin virtuoso-opensource-6.1-common vorbis-tools vpnc
  xscreensaver-data xscreensaver-data-extra xscreensaver-gl
  xscreensaver-gl-extra xscreensaver-screensaver-bsod zip
0 upgraded, 567 newly installed, 0 to remove and 0 not upgraded.

Code: Select all

amadeu@zerozero:~$ sudo apt-get -s install kde-standard
[sudo] password for amadeu: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libv8-3.6.6.14 libglew1.6
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  akonadi-backend-mysql akonadi-server akregator anacron ark docbook-xsl
  dolphin dragonplayer freespacenotifier gnupg-agent gnupg2
  google-gadgets-common google-gadgets-gst google-gadgets-qt gpsd gwenview
  htdig juk kaddressbook kamera kate kate-data katepart kcalc kde-baseapps
  kde-baseapps-bin kde-baseapps-data kde-plasma-desktop kde-runtime
  kde-runtime-data kde-style-oxygen kde-wallpapers kde-wallpapers-default
  kde-window-manager kde-workspace kde-workspace-bin kde-workspace-data
  kde-workspace-kgreet-plugins kdebase-runtime kdelibs-bin kdelibs5-data
  kdelibs5-plugins kdepasswd kdepim-runtime kdepimlibs-kio-plugins
  kdeplasma-addons kdm kdoctools kfind khelpcenter4 kinfocenter klipper kmail
  kmenuedit kmix knotes konq-plugins konqueror konqueror-nsplugins konsole
  kopete korganizer kscreensaver kscreensaver-xsavers ksnapshot ksysguard
  ksysguardd kwalletmanager kwrite libakonadi-contact4 libakonadi-kabc4
  libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4
  libakonadiprotocolinternals1 libassuan0 libattica0
  libboost-program-options1.48.0 libcln6 libclucene0ldbl libdbusmenu-qt2
  libdlrestrictions1 libdmtx0a libfame-0.9-1 libggadget-1.0-0b
  libggadget-qt-1.0-0b libgle3 libgpgme++2 libgps20 libgraphicsmagick3
  libiodbc2 libjpeg-progs libkabc4 libkateinterfaces4 libkatepartinterfaces4
  libkcal4 libkcalcore4 libkcalutils4 libkcmutils4 libkde3support4
  libkdeclarative5 libkdecorations4 libkdecore5 libkdepim4 libkdesu5 libkdeui5
  libkdewebkit5 libkdnssd4 libkemoticons4 libkephal4abi1 libkexiv2-10
  libkexiv2-data libkfile4 libkholidays4 libkhtml5 libkidletime4 libkimap4
  libkimproxy4 libkio5 libkipi-data libkipi8 libkjsapi4 libkjsembed4 libkldap4
  libkleo4 libkmediaplayer4 libkmime4 libknewstuff2-4 libknewstuff3-4
  libknotifyconfig4 libkntlm4 libkonq-common libkonq5-templates libkonq5abi1
  libkonqsidebarplugin4a libkontactinterface4 libkopete4 libkparts4 libkpgp4
  libkpimidentities4 libkpimtextedit4 libkpimutils4 libkprintutils4 libkpty4
  libkresources4 libkrosscore4 libksba8 libkscreensaver5 libksgrd4 libksieve4
  libksignalplotter4 libktexteditor4 libktnef4 libkunitconversion4 libkutils4
  libkwineffects1abi2 libkworkspace4 libmailtransport4 libmarblewidget12
  libmediastreamer1 libmessagecore4 libmessagelist4 libmicroblog4 libmimelib4
  libmsn0.3 libmysqlclient16 libnepomuk4 libnepomukquery4a libnepomukutils4
  libnetpbm10 libntrack-qt4-1 libntrack0 libokularcore1 libortp8 libotr2
  libphonon4 libpkcs11-helper1 libplasma-geolocation-interface4 libplasma3
  libplasmaclock4abi2 libplasmagenericshell4 libpolkit-qt-1-1 libpoppler-qt4-3
  libprison0 libprocesscore4abi1 libprocessui4a libqalculate5 libqca2
  libqca2-plugin-ossl libqgpgme1 libqimageblitz4 libqrencode3
  libqt4-declarative libqt4-designer libqt4-help libqt4-opengl
  libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql
  libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-test libqt4-xmlpatterns
  libqtassistantclient4 libqtlocation1 libqtruby4shared2 libqtwebkit4
  libqzeitgeist0 libscim8c2a libsmokebase3 libsmokekdecore4-3 libsmokekdeui4-3
  libsmokekfile3 libsmokekhtml3 libsmokekio3 libsmokeknewstuff2-3
  libsmokeknewstuff3-3 libsmokekparts3 libsmokektexteditor3 libsmokekutils3
  libsmokenepomuk3 libsmokeplasma3 libsmokeqtcore4-3 libsmokeqtdbus4-3
  libsmokeqtgui4-3 libsmokeqtnetwork4-3 libsmokeqtopengl4-3 libsmokeqtsql4-3
  libsmokeqtsvg4-3 libsmokeqtwebkit4-3 libsmokeqtxml4-3 libsmokesolid3
  libsolid4 libsolidcontrol4abi2 libsolidcontrolifaces4abi2 libsoprano4
  libsrtp0 libssh-4 libstreamanalyzer0 libstreams0 libsyndication4
  libtaskmanager4abi2 libthreadweaver4 libtidy-0.99-0 libutempter0
  libvirtodbc0 libweather-ion6 libxine1 libxine1-bin libxine1-ffmpeg
  libxine1-misc-plugins libxine1-plugins libxine1-x lockfile-progs marble-data
  marble-plugins mysql-common mysql-server-core-5.1 netpbm
  network-manager-openvpn network-manager-vpnc ntrack-module-libnl-0 okular
  openvpn oxygen-icon-theme oxygencursors phonon phonon-backend-vlc
  pinentry-gtk2 plasma-containments-addons plasma-dataengines-addons
  plasma-dataengines-workspace plasma-desktop plasma-desktopthemes-artwork
  plasma-runners-addons plasma-scriptengine-googlegadgets
  plasma-scriptengine-javascript plasma-scriptengine-python
  plasma-scriptengine-ruby plasma-scriptengine-superkaramba
  plasma-scriptengine-webkit plasma-scriptengines plasma-wallpapers-addons
  plasma-widget-folderview plasma-widget-lancelot
  plasma-widget-networkmanagement plasma-widgets-addons
  plasma-widgets-workspace polkit-kde-1 python-kde4 python-qt4 python-qt4-dbus
  python-sip ruby-kde4 ruby-plasma ruby-qt4 ruby-qt4-webkit
  shared-desktop-ontologies soprano-daemon sweeper systemsettings
  update-notifier-common update-notifier-kde virtuoso-minimal
  virtuoso-opensource-6.1-bin virtuoso-opensource-6.1-common vpnc
  xscreensaver-data xscreensaver-data-extra xscreensaver-gl
  xscreensaver-gl-extra xscreensaver-screensaver-bsod zip
Suggested packages:
  akonadi-backend-sqlite akonadi-backend-postgresql rar docbook-xsl-doc-html
  docbook-xsl-doc-pdf docbook-xsl-doc-text docbook-xsl-doc libsaxon-java
  libxslthl-java docbook-xsl-saxon fop xalan dbtoepub kdesdk-dolphin-plugins
  gnupg-doc xloadimage gpsd-clients svgpart htdig-doc wwwoffle httpd k3b
  kdepim-kresources kde-l10n djvulibre-bin icoutils finger kde-plasma-netbook
  skanlite kleopatra clamav f-prot-installer kdeartwork-emoticons
  texlive-latex-base kdepim-groupware kscreensaver-xsavers-webcollage pi
  graphicsmagick-dbg hspell libotr2-bin libqca2-plugin-cyrus-sasl
  libqca2-plugin-gnupg libqt4-declarative-folderlistmodel
  libqt4-declarative-gestures libqt4-declarative-particles
  libqt4-declarative-shaders qt4-qmlviewer libqt4-dev qtmobility-l10n
  srtp-utils gxine xine-ui libxine1-doc libxine-doc libxine1-gnome
  okular-extra-backends texlive-binaries jovie resolvconf
  phonon-backend-gstreamer phonon-backend-mplayer pinentry-doc
  plasma-scriptengine-kimono kdebase-workspace-bin python-qt4-dbg xscreensaver
Recommended packages:
  pinentry-qt4 pinentry-x11
The following NEW packages will be installed:
  akonadi-backend-mysql akonadi-server akregator anacron ark docbook-xsl
  dolphin dragonplayer freespacenotifier gnupg-agent gnupg2
  google-gadgets-common google-gadgets-gst google-gadgets-qt gpsd gwenview
  htdig juk kaddressbook kamera kate kate-data katepart kcalc kde-baseapps
  kde-baseapps-bin kde-baseapps-data kde-plasma-desktop kde-runtime
  kde-runtime-data kde-standard kde-style-oxygen kde-wallpapers
  kde-wallpapers-default kde-window-manager kde-workspace kde-workspace-bin
  kde-workspace-data kde-workspace-kgreet-plugins kdebase-runtime kdelibs-bin
  kdelibs5-data kdelibs5-plugins kdepasswd kdepim-runtime
  kdepimlibs-kio-plugins kdeplasma-addons kdm kdoctools kfind khelpcenter4
  kinfocenter klipper kmail kmenuedit kmix knotes konq-plugins konqueror
  konqueror-nsplugins konsole kopete korganizer kscreensaver
  kscreensaver-xsavers ksnapshot ksysguard ksysguardd kwalletmanager kwrite
  libakonadi-contact4 libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4
  libakonadi-kmime4 libakonadiprotocolinternals1 libassuan0 libattica0
  libboost-program-options1.48.0 libcln6 libclucene0ldbl libdbusmenu-qt2
  libdlrestrictions1 libdmtx0a libfame-0.9-1 libggadget-1.0-0b
  libggadget-qt-1.0-0b libgle3 libgpgme++2 libgps20 libgraphicsmagick3
  libiodbc2 libjpeg-progs libkabc4 libkateinterfaces4 libkatepartinterfaces4
  libkcal4 libkcalcore4 libkcalutils4 libkcmutils4 libkde3support4
  libkdeclarative5 libkdecorations4 libkdecore5 libkdepim4 libkdesu5 libkdeui5
  libkdewebkit5 libkdnssd4 libkemoticons4 libkephal4abi1 libkexiv2-10
  libkexiv2-data libkfile4 libkholidays4 libkhtml5 libkidletime4 libkimap4
  libkimproxy4 libkio5 libkipi-data libkipi8 libkjsapi4 libkjsembed4 libkldap4
  libkleo4 libkmediaplayer4 libkmime4 libknewstuff2-4 libknewstuff3-4
  libknotifyconfig4 libkntlm4 libkonq-common libkonq5-templates libkonq5abi1
  libkonqsidebarplugin4a libkontactinterface4 libkopete4 libkparts4 libkpgp4
  libkpimidentities4 libkpimtextedit4 libkpimutils4 libkprintutils4 libkpty4
  libkresources4 libkrosscore4 libksba8 libkscreensaver5 libksgrd4 libksieve4
  libksignalplotter4 libktexteditor4 libktnef4 libkunitconversion4 libkutils4
  libkwineffects1abi2 libkworkspace4 libmailtransport4 libmarblewidget12
  libmediastreamer1 libmessagecore4 libmessagelist4 libmicroblog4 libmimelib4
  libmsn0.3 libmysqlclient16 libnepomuk4 libnepomukquery4a libnepomukutils4
  libnetpbm10 libntrack-qt4-1 libntrack0 libokularcore1 libortp8 libotr2
  libphonon4 libpkcs11-helper1 libplasma-geolocation-interface4 libplasma3
  libplasmaclock4abi2 libplasmagenericshell4 libpolkit-qt-1-1 libpoppler-qt4-3
  libprison0 libprocesscore4abi1 libprocessui4a libqalculate5 libqca2
  libqca2-plugin-ossl libqgpgme1 libqimageblitz4 libqrencode3
  libqt4-declarative libqt4-designer libqt4-help libqt4-opengl
  libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql
  libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-test libqt4-xmlpatterns
  libqtassistantclient4 libqtlocation1 libqtruby4shared2 libqtwebkit4
  libqzeitgeist0 libscim8c2a libsmokebase3 libsmokekdecore4-3 libsmokekdeui4-3
  libsmokekfile3 libsmokekhtml3 libsmokekio3 libsmokeknewstuff2-3
  libsmokeknewstuff3-3 libsmokekparts3 libsmokektexteditor3 libsmokekutils3
  libsmokenepomuk3 libsmokeplasma3 libsmokeqtcore4-3 libsmokeqtdbus4-3
  libsmokeqtgui4-3 libsmokeqtnetwork4-3 libsmokeqtopengl4-3 libsmokeqtsql4-3
  libsmokeqtsvg4-3 libsmokeqtwebkit4-3 libsmokeqtxml4-3 libsmokesolid3
  libsolid4 libsolidcontrol4abi2 libsolidcontrolifaces4abi2 libsoprano4
  libsrtp0 libssh-4 libstreamanalyzer0 libstreams0 libsyndication4
  libtaskmanager4abi2 libthreadweaver4 libtidy-0.99-0 libutempter0
  libvirtodbc0 libweather-ion6 libxine1 libxine1-bin libxine1-ffmpeg
  libxine1-misc-plugins libxine1-plugins libxine1-x lockfile-progs marble-data
  marble-plugins mysql-common mysql-server-core-5.1 netpbm
  network-manager-openvpn network-manager-vpnc ntrack-module-libnl-0 okular
  openvpn oxygen-icon-theme oxygencursors phonon phonon-backend-vlc
  pinentry-gtk2 plasma-containments-addons plasma-dataengines-addons
  plasma-dataengines-workspace plasma-desktop plasma-desktopthemes-artwork
  plasma-runners-addons plasma-scriptengine-googlegadgets
  plasma-scriptengine-javascript plasma-scriptengine-python
  plasma-scriptengine-ruby plasma-scriptengine-superkaramba
  plasma-scriptengine-webkit plasma-scriptengines plasma-wallpapers-addons
  plasma-widget-folderview plasma-widget-lancelot
  plasma-widget-networkmanagement plasma-widgets-addons
  plasma-widgets-workspace polkit-kde-1 python-kde4 python-qt4 python-qt4-dbus
  python-sip ruby-kde4 ruby-plasma ruby-qt4 ruby-qt4-webkit
  shared-desktop-ontologies soprano-daemon sweeper systemsettings
  update-notifier-common update-notifier-kde virtuoso-minimal
  virtuoso-opensource-6.1-bin virtuoso-opensource-6.1-common vpnc
  xscreensaver-data xscreensaver-data-extra xscreensaver-gl
  xscreensaver-gl-extra xscreensaver-screensaver-bsod zip
0 upgraded, 316 newly installed, 0 to remove and 0 not upgraded.
would be interesting to know what unmet dep rjrich is founding

Re: Unable to Install KDE on LMDE

Posted: Thu Apr 26, 2012 7:22 pm
by cudayne
There is also a very good guide in the how too section on building your own LMDE from a Debian unstable net install.

Re: Unable to Install KDE on LMDE

Posted: Fri Apr 27, 2012 12:10 am
by Hypersphere
zerozero wrote:
tdockery97 wrote:I think the real culprit causing your unmet dependencies are the LMDE latest repositories.
it could happen :lol: but not this time
...
would be interesting to know what unmet dep rjrich is founding
Thanks, zerozero. I tried to install KDE in several ways, e.g., kde-standard, kde-full, plasma desktop, etc. Each time, synaptic would list new dependencies that could not be resolved; they all referred to KDE packages.

In another install of LMDE, I ran into conflicts between different desktops.

As a comparative experiment, today I installed Ubuntu 12.04 LTS. I was able to install Gnome, Gnome Classic, KDE, and Xfce. They all coexisted just fine and there were no dependency issues. There was also excellent integration of the oxygen theme in KDE with gtk applications.

My situation might be rare. Perhaps I just hit a momentary glitch in the packages available in the repos. There were no problems until I started mixing DEs. The standalone LMDE-Cinnamon/Mate was fine, and the standalone LMDE-Xfce was fine. My problems arose from installing KDE on LMDE-Cinnamon/Mate. Incidentally, Ubuntu-Xfce or Xubuntu were not nearly as nice as LMDE-Xfce.

I like LMDE and I like KDE, but the integration of KDE is noticeably better in the Ubuntu-based version of Mint. Because I want either a rolling edition or a LTS, I think I will use Ubuntu with KDE for now and possibly move back to Mint when Mint 13 KDE LTS is released. However, I am torn, because LMDE-Xfce has great appeal.

Re: Unable to Install KDE on LMDE

Posted: Fri Apr 27, 2012 7:33 am
by bu99zy
I had the same problem when trying to install KDE on a brand new LMDE install.

The solution was to change the source.list to the Debian repo, the ones I used was

Code: Select all

deb http://ftp.uk.debian.org/debian/ sid main contrib non-free
deb-src http://ftp.uk.debian.org/debian/ sid main contrib non-free
deb http://www.debian-multimedia.org sid main non-free
Then ran

Code: Select all

sudo apt-get install kde-full
I noticed when I ran that command it removed mate-notification-daemon, I'm not too worried as I don't use Mate.

KDE seems to be running well on this new LMDE install and haven't found any faults so far.

I also change back to the original Mint source.list after installing KDE

Re: Unable to Install KDE on LMDE

Posted: Fri Apr 27, 2012 10:00 pm
by Insane1
I had the problem. I debugged it by going lower and lower until I found the dependency issue.

kde-workspace-bin doesn't like the mate notification daemon. You need to uninstall it before KDE-full will install. Not quite sure what about it causes an issue, but as the poster above states, that's the problem. About to do this myself using LMDE Xfce as a base so I can more easily trim out the fat (one desktop to remove as opposed to two)

Re: Unable to Install KDE on LMDE

Posted: Sat Apr 28, 2012 1:17 am
by zebedeeboss
craigevil wrote:Try doing

Code: Select all

apt-get install kde-plasma-desktop
This will give you a minimal KDE. KDE might also be broken in Debian Testing, fun things like that are why I run unstable..
Would you be so kind as to offer your repo list so that others might enjoy a bit more stability using "unstable"

Boy that's weird asking for unstable to be more stable - lol

Thanks in advance

Zeb (Less noobier than I was but still flounder with some basics... I will get there though)

edit BTW - now running a very nice KDE Full Desktop - Thank You All :D

Re: Unable to Install KDE on LMDE

Posted: Sat Apr 28, 2012 3:46 pm
by craigevil
zebedeeboss wrote:
craigevil wrote:Try doing

Code: Select all

apt-get install kde-plasma-desktop
This will give you a minimal KDE. KDE might also be broken in Debian Testing, fun things like that are why I run unstable..
Would you be so kind as to offer your repo list so that others might enjoy a bit more stability using "unstable"

Boy that's weird asking for unstable to be more stable - lol

Thanks in advance

Zeb (Less noobier than I was but still flounder with some basics... I will get there though)

edit BTW - now running a very nice KDE Full Desktop - Thank You All :D
System: Host: debian Kernel: 3.3.0-trunk-486 i686 (32 bit) Desktop: KDE 4.7.4 Distro: Debian GNU/Linux wheezy/sid

Code: Select all

$ inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list                                                                 
           deb http://ftp.us.debian.org/debian/ unstable main contrib non-free                                               
           deb http://ftp.us.debian.org/debian/ experimental main contrib non-free                                           
           deb http://www.debian-multimedia.org/ unstable main non-free                                                      
           deb http://dl.google.com/linux/chrome/deb/ stable main                                                            
           deb http://dl.google.com/linux/talkplugin/deb/ stable main   
           deb http://dl.google.com/linux/musicmanager/deb/ stable main                                                     
           deb http://download.jitsi.org/deb/ unstable/ 

Re: Unable to Install KDE on LMDE

Posted: Mon May 07, 2012 9:58 pm
by vladtepes86
I ran into this problem and came back to it tonight. I also found that going down the dependency error list I finally found a package that wanted to uninstall mate-deamon. This was after I added Romeo repos but don't think that matters much. The problem is having to uninstall the mate package that doesn't play with the other one mentioned above. I removed the package and am not sure of the consequences yet.

Re: Unable to Install KDE on LMDE

Posted: Mon May 07, 2012 10:33 pm
by colyn
vladtepes86 wrote:I ran into this problem and came back to it tonight. I also found that going down the dependency error list I finally found a package that wanted to uninstall mate-deamon. This was after I added Romeo repos but don't think that matters much. The problem is having to uninstall the mate package that doesn't play with the other one mentioned above. I removed the package and am not sure of the consequences yet.
You shouldn't have any problems. Once I removed mate notification daemon KDE installed without issues and Mate still worked fine..

Re: Unable to Install KDE on LMDE

Posted: Thu May 10, 2012 7:21 pm
by TomFreeloader
zerozero wrote:
tdockery97 wrote: sudo apt-get -s install kde-full
Just curious, what is the -s flag do for apt-get?
Sorry if it's been asked b4 :)

Re: Unable to Install KDE on LMDE

Posted: Thu May 10, 2012 7:44 pm
by zerozero
TomFreeloader wrote:
zerozero wrote:
tdockery97 wrote: sudo apt-get -s install kde-full
Just curious, what is the -s flag do for apt-get?
Sorry if it's been asked b4 :)
the -s switch will just perform a dry-run, so you can see if you "happy" with the output. it actually doesn't do nothing to the system, if the output is "clean" remove the -s and do the "real thing".

Re: Unable to Install KDE on LMDE

Posted: Thu May 10, 2012 9:19 pm
by TomFreeloader
Ok cool thanks. Yeah KDE is running pretty good except for my terminal thinking that Documents is home. I think that I had this prob before and changed the path in system settings/accounts detail..... Yep that fixed it.